# $Revision: 1.15 $, $Date: 2011/12/26 11:05:22 $
Summary:	xinput application - allows configuration and testing of XInput devices
Summary(pl.UTF-8):	Aplikacja xinput pozwalająca na konfigurację i testowanie urządzeń XInput
Name:		xorg-app-xinput
Version:	1.5.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/archive/individual/app/xinput-%{version}.tar.bz2
# Source0-md5:	69cd4dea77915b87c106003668378749
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.2.99.4
BuildRequires:	xorg-proto-inputproto-devel >= 1.9.99.902
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	xorg-lib-libXi >= 1.2.99.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A utility to configure and test XInput devices.

%description -l pl.UTF-8
Narzędzie do konfiguracji i testowania urządzeń XInput.

%prep
%setup -q -n xinput-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/xinput
%{_mandir}/man1/xinput.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xinput.spec,v $
Revision 1.15  2011/12/26 11:05:22  qboosh
- updated to 1.5.4

Revision 1.14  2010/11/11 06:51:14  qboosh
- updated to 1.5.3

Revision 1.13  2010/06/04 05:09:28  arekm
- up to 1.5.2

Revision 1.12  2010/05/27 07:35:41  qboosh
- updated to 1.5.1

Revision 1.11  2009/10/14 05:06:46  qboosh
- updated to 1.5.0

Revision 1.10  2009/09/24 06:21:22  arekm
- up to 1.4.99.3

Revision 1.9  2009/09/04 09:30:26  arekm
- up to 1.4.99.2

Revision 1.8  2009/06/17 12:12:50  amateja
- updated to 1.4.2

Revision 1.7  2009/04/07 15:50:29  adamg
- buildrequires xorg-util-util-macros >= 1.2 (according to announce)

Revision 1.6  2009/04/06 06:27:35  arekm
- up to 1.4.1

Revision 1.5  2009/01/16 16:11:11  qboosh
- updated BRs

Revision 1.4  2009/01/16 07:10:52  adamg
- updated to 1.4.0

Revision 1.3  2008-03-08 02:19:59  qboosh
- more docs and BRs

Revision 1.2  2008-03-08 02:02:21  qboosh
- pl

Revision 1.1  2008-01-10 07:32:57  arekm
- initial
